%define Werror_cflags %nil

Name:       virtuoso-opensource
Version:    6.1.2
Release:    %mkrel 1
License:    GPLv2
Summary:    OpenLink Virtuoso Database System Open-Source Edition
Group:      Development/Databases
Source0:    %{name}-%{version}.tar.gz
Patch4:     virtuoso-opensource-6.1.0-extern-iodbc.patch
Patch5:     virtuoso-opensource-6.1.0-nodemos_buildfix.patch
URL:        http://virtuoso.openlinksw.com/
BuildRoot:  %{_tmppath}/%{name}-%{version}
BuildRequires: openssl
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: bison
BuildRequires: flex
BuildRequires: gperf
BuildRequires: libxml2-devel
BuildRequires: openssl-devel
BuildRequires: iodbc-devel
Obsoletes:     %name-conductor < 6.1.0
Conflicts:     %name-applications < 6.1.0-3

%description
Virtuoso is a scalable cross-platform server that combines SQL/RDF/XML
Data Management with Web Application Server and Web Services Platform
functionality.

Virtuoso is at the core a high performance object-relational SQL
database. As a database, it provides transactions, a smart SQL
compiler, powerful stored procedure language with optional Java and
.Net server side hosting, hot backup, SQL 99 and more. It has all
major data access interfaces, as in ODBC, JDBC, ADO .Net and OLE/DB.

Virtuoso has a built-in web server which can serve dynamic web pages
written in Virtuoso's web page language as well as PHP, ASP .Net and
others. This same web server provides SOAP and REST access to Virtuoso
stored procedures, supporting a broad set of WS protocols such as
WS-Security, WS-Reliable Messaging and others. A BPEL4WS run time is
also available as part of Virtuoso's SOA suite.

%files -n %name
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/virtuoso-t
#conflicts with unixODBC
%exclude %{_bindir}/isql
%{_sysconfdir}/virtuoso/virtuoso.ini
%attr(0755,root,root) %{_libdir}/virtodbc_r.la
%attr(0755,root,root) %{_libdir}/virtuoso/plugins/virtodbc_r.*

#--------------------------------------------------------------------

%package -n  %name-applications
Summary:     Virtuoso open source applications
Group:       Development/Databases
Conflicts:   %name < 6.1.0-2

%description -n %name-applications
Virtuoso is a scalable cross-platform server that combines SQL/RDF/XML
Data Management with Web Application Server and Web Services Platform
functionality.

%files -n %name-applications
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/inifile
%attr(0755,root,root) %{_bindir}/isql-iodbc
%attr(0755,root,root) %{_bindir}/isqlw
%attr(0755,root,root) %{_bindir}/isqlw-iodbc
%attr(0755,root,root) %{_bindir}/odbc_mail
%attr(0755,root,root) %{_bindir}/virt_mail
%attr(0755,root,root) %{_bindir}/virtuoso-iodbc-t
%{_datadir}/virtuoso/doc
%attr(0755,root,root) %{_libdir}/libvirtuoso-iodbc-t.la
%attr(0755,root,root) %{_libdir}/libvirtuoso-t.la
%attr(0755,root,root) %{_libdir}/virtodbc.la
%attr(0755,root,root) %{_libdir}/virtodbcu.la
%attr(0755,root,root) %{_libdir}/virtodbcu_r.la
%attr(0755,root,root) %{_libdir}/virtuoso/plugins/libvirtuoso-iodbc-t.la
%attr(0755,root,root) %{_libdir}/virtuoso/plugins/libvirtuoso-t.la
%attr(0755,root,root) %{_libdir}/virtuoso/plugins/virtodbc.la
%attr(0755,root,root) %{_libdir}/virtuoso/plugins/virtodbcu.la
%attr(0755,root,root) %{_libdir}/virtuoso/plugins/virtodbcu_r.la
%attr(0755,root,root) %{_libdir}/virtuoso/plugins/*.so
%exclude %{_libdir}/virtodbc_r.la
%exclude %{_libdir}/virtuoso/plugins/virtodbc_r.*

#--------------------------------------------------------------------

%package -n %name-jars
Summary: Virtuoso open source jar files
Group: Development/Databases

%description -n %name-jars
Virtuoso is a scalable cross-platform server that combines SQL/RDF/XML
Data Management with Web Application Server and Web Services Platform
functionality.

%files -n %name-jars
%defattr(0644,root,root,0755)
%{_libdir}/virtuoso/jars/jdbc2.0/*.jar
%{_libdir}/virtuoso/jars/jdbc3.0/*.jar
%{_libdir}/virtuoso/jars/jdbc4.0/*.jar
%{_libdir}/virtuoso/jars/jena/*.jar
%{_libdir}/virtuoso/jars/sesame/*
%{_libdir}/hibernate/virt_dialect.jar

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch4 -p0 -b .iodbc
%patch5 -p0

%build
# autogen.sh because of patching Makefile.am and configure to unixODBC
./autogen.sh

%configure2_5x \
	--with-iodbc=%_prefix --disable-all-vads 

%make

%install
rm -rf %{buildroot}

%makeinstall_std 
mkdir -p %{buildroot}%{_libdir}/virtuoso/plugins
mv %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/virtuoso/plugins/
cp -f %{buildroot}%{_libdir}/virtuoso/plugins/* %{buildroot}%{_libdir}/

rm -fr %{buildroot}%{_libdir}/*.a
mv %{buildroot}%{_libdir}/*.so %{buildroot}%{_libdir}/virtuoso/plugins/
mkdir -p %{buildroot}%{_libdir}/virtuoso/jars
mv %{buildroot}%{_libdir}/jdbc-2.0 %{buildroot}%{_libdir}/virtuoso/jars/jdbc2.0
mv %{buildroot}%{_libdir}/jdbc-3.0 %{buildroot}%{_libdir}/virtuoso/jars/jdbc3.0
mv %{buildroot}%{_libdir}/jdbc-4.0 %{buildroot}%{_libdir}/virtuoso/jars/jdbc4.0
mv %{buildroot}%{_libdir}/jena %{buildroot}%{_libdir}/virtuoso/jars/jena
mv %{buildroot}%{_libdir}/sesame %{buildroot}%{_libdir}/virtuoso/jars/sesame
mkdir -p %{buildroot}%{_sysconfdir}/virtuoso
mv %{buildroot}%{_var}/lib/virtuoso/db/virtuoso.ini %{buildroot}%{_sysconfdir}/virtuoso/

%clean
rm -rf %{buildroot}


%changelog
* Mon Aug 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 6.1.2-1mdv2011.0
+ Revision: 567807
- New version 6.1.2

* Wed Apr 28 2010 Funda Wang <fwang@mandriva.org> 6.1.1-1mdv2010.1
+ Revision: 540088
- new version 6.1.1
- openssl patch merged upstream

* Thu Apr 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 6.1.0-6mdv2010.1
+ Revision: 533008
- add patch from Fedora to fix build with openssl-1.0.0

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new openssl

* Fri Feb 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 6.1.0-4mdv2010.1
+ Revision: 511989
- Fix file list
- Fix file list
- Bump release
- Fix file list

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against openssl-0.9.8m

* Mon Feb 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 6.1.0-2mdv2010.1
+ Revision: 506173
- Fix file list
- Bump release
- Add on the main package only the parts needed by nepomuk
- Build only what nepomuk requires
- Do not build all vads

* Thu Feb 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 6.1.0-1mdv2010.1
+ Revision: 500696
- Apply patch4
- Update to virtuoso 6.1.0

* Thu Jan 14 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 5.0.12-3mdv2010.1
+ Revision: 491206
- Change suggests into requires for %%name-application ( Bug #57020)

* Mon Nov 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 5.0.12-1mdv2010.1
+ Revision: 469265
- Fix patch5: Build fix
- Add patch5 to fix build on BS
- Remove unneeded patch
- Update to version 5.0.12

* Sat Jul 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 5.0.11-8mdv2010.0
+ Revision: 392268
- Put plugins in libdir too

* Fri Jun 19 2009 Helio Chissini de Castro <helio@mandriva.com> 5.0.11-7mdv2010.0
+ Revision: 387372
- Build finally against external iodbc. unixODBC is not possible and seens like
  will not be sooner..
- Added some wfortmat fixes, but there are plenty more

* Fri May 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 5.0.11-5mdv2010.0
+ Revision: 380941
- Exlcude files and enable more subdirs

* Fri May 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 5.0.11-4mdv2010.0
+ Revision: 380932
- Enable tutorial subdir
- Remove not needed package

* Fri May 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 5.0.11-3mdv2010.0
+ Revision: 380926
- Enable bpel subdir
- Enable sqldoc subdir

* Fri May 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 5.0.11-2mdv2010.0
+ Revision: 380923
- install some headers needed by soprano
- reorder subdirs
- Enable virtodbc subdir
- Add back maildrop subdir
- Enable rdf_mappers subdir
  Add devel package empty for the moment
- enable test subdir
- Remove useless part of the patch
- enable hosting

* Fri May 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 5.0.11-1mdv2010.0
+ Revision: 380879
- Add openssl requires ( needed by autogen.sh )
- Enable jena sesame sesame2 sesame3 redland  drivers
- Add suse patch to only build some modules
  Do not use the virtuoso-opensource-5.0.11-mdv.format-string-fix.patch because it have been rejected upstream
- Do not use the patch for format strings ( rejected upstream )
- Remove macro
- import virtuoso-opensource


* Tue May 05 2009 Stephane Lauriere <slauriere@mandriva.com> 5.0.11
- Initial Mandriva version


